<?php
/**
 * The template for displaying all single posts
 * @package Edubin
 * Version: 1.0.0
 */

get_header(); 
    $defaults = edubin_generate_defaults();
    $blog_single_sidebar = get_theme_mod( 'blog_single_sidebar', $defaults['blog_single_sidebar']  );
?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <div class="container">
            <div class="row">
                <?php if ('sidebarleft' == $blog_single_sidebar): ?>
                    <div class="col-md-4">
                        <?php get_sidebar(); ?>
                    </div> 
                <?php endif; ?>

                <?php if ('sidebarnone' == $blog_single_sidebar): ?>
                    <div class="col-md-12">
                <?php else: ?>
                    <div class="<?php if(is_active_sidebar( 'sidebar-1' )):  echo 'col-md-8 content-wrapper'; else: echo 'col-md-12 content-wrapper'; endif;?>">
                <?php endif; ?>

                    <?php
                        /* Start the Loop */
                        while ( have_posts() ) : the_post();
             
                            get_template_part( 'template-parts/post/single');
      
                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;
                            
                        endwhile; // End of the loop.
                    ?>
                
                </div>

                <?php if ('sidebarright' == $blog_single_sidebar): ?>
                    <div class="col-md-4">
                        <?php get_sidebar(); ?>
                    </div> 

                <?php elseif('sidebarnone' == $blog_single_sidebar): ?>

                <?php else : ?>
                    <div class="col-md-4">
                        <?php get_sidebar(); ?>
                    </div>
                <?php endif; ?>
                
            </div>
        </div>
    </main><!-- #main -->
</div><!-- #primary -->
<?php get_footer();